// Imports
import express from 'express';
import multer from 'multer';
import { convertController } from '../Controllers/Convert';

const upload = multer({ dest: '/tmp' });

// Get the router
const router = express.Router();

router.get(`/`, (req, res, next) => {
    res.status(200).send({
        status: "Healthy",
        healthStatus: "100%",
        version: "1.0.0",
    });
})

// Set the route
router.post("/convert", upload.any(), convertController);

// Export the reouter
export {router as apiRouter};